<?php

/**
 * Royal Magazine About Page
 * @package Royal Magazine
 *
*/

if( !class_exists('Royal_Magazine_About_page') ):

	class Royal_Magazine_About_page{

		function __construct(){

			add_action('admin_menu', array($this, 'royal_magazine_backend_menu'),999);

		}

		// Add Backend Menu
        function royal_magazine_backend_menu(){

            add_theme_page(esc_html__( 'Royal Magazine','royal-magazine' ), esc_html__( 'Royal Magazine','royal-magazine' ), 'activate_plugins', 'royal-magazine-about', array($this, 'royal_magazine_main_page'),1);

        }

        // Settings Form
        function royal_magazine_main_page(){

            require get_template_directory() . '/classes/about-render.php';

        }

	}

	new Royal_Magazine_About_page();

endif;